Tentant vainement de faire tourner Gnome-Shell sur mon hybride Inspiron Duo de Dell, j’ai enfin trouvé une solution permettant de bénéficier de cet environnement que je trouve le mieux adapté actuellement au machine à écran tactile.


Mon inspiron Duo est équipée du processeur graphique Intel GMA 3150 que l’on retrouve sur pratiquement tous les netbooks à base de processeurs Intel Atom N450, N470, N550 et N570. Mais aussi sur les nettops à base de processeurs d’Intel Atom D410 et D510.

Malheureusement Gnome Shell, bâti sur la bibliothèque Clutter, nécessite l’accélération 3D de la carte graphique . Mais en contrôlant, suite à l’installation standard d’Ubuntu 11.10, que ma machine est correctement configuré pour son support, le résultat fut décevant :

glxinfo | grep "direct rendering"

direct rendering: No

Donc impossible de lancer Gnome-Shell. En fouillant le net j’ai trouvé la solution. Comme très souvent elle vient du forum Ubuntu où une petite note indiquait :

« Considering that Ubuntu 11.10 already has the 3.0 kernel, it should support the 3150 without any extra effort. The xorg-edgers PPA will probably give you better 3D and video playback since it will have mesa 7.12 and libva 1.0.14. »

En cherchant des infos sur le site d’intel j’ai pu lire ce résultat de test indiquant :

« This release has been validated on following hardware: Intel® HD Graphics (Arrandale & Clarkdale), GMA 3150 (Pineview), G45, GM45, GM965, 945GME. Part of the test results are published at here« 

Donc il me fallait trouver un dépôt possédant cette version 2.13.0 au minimun du driver xserver-xorg-video-intel. Et comme indiqué dans le post du forum Ubuntu, le dépot PPA xorg-edgers possède le précieux sésame.

Donc j’ai refait l’installation d’Ubuntu 11.10 sur mon netbook (pour avoir une base saine suite à toutes mes manipulations), ajouté ce dépôt lancé l’upgrade puis reboot de la machine et : oh miracle : Gnome-Shell fonctionne!

Voici les étapes :

sudo apt-get install gnome-shell
sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get dist-upgrade